"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (Object.hasOwnProperty.call(mod, k)) result[k] = mod[k];
    result["default"] = mod;
    return result;
};
Object.defineProperty(exports, "__esModule", { value: true });
const chalk_1 = __importDefault(require("chalk"));
const typescript = __importStar(require("typescript"));
require("../injectors/dev");
const clearConsole_1 = require("../lib/clearConsole");
const webpackCompiler_1 = require("../lib/webpackCompiler");
const env_1 = require("../util/env");
const getWebpackConfig_1 = require("./util/getWebpackConfig");
if (env_1.IS_INTERACTIVE) {
    clearConsole_1.clearConsole();
}
console.log(chalk_1.default.cyan('Starting the development server...'));
console.log(chalk_1.default.green('Using TypeScript v' + typescript.version));
console.log();
const compiler = webpackCompiler_1.createCompiler(getWebpackConfig_1.getWebpackConfig('development'), env_1.RuntimeOptions);
// start the webpack watchers
compiler.watch({}, err => {
    if (err) {
        throw err;
    }
});
//# sourceMappingURL=start.js.map