"use strict";
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (Object.hasOwnProperty.call(mod, k)) result[k] = mod[k];
    result["default"] = mod;
    return result;
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const fs = __importStar(require("fs"));
const webpack_merge_1 = __importDefault(require("webpack-merge"));
const paths_1 = require("../../lib/paths");
const webpack_config_dev_1 = require("../../lib/webpack.config.dev");
const webpack_config_prod_1 = require("../../lib/webpack.config.prod");
function getWebpackConfig(environment) {
    const baseConfig = environment === 'development'
        ? webpack_config_dev_1.createWebpackDevConfig()
        : webpack_config_prod_1.createWebpackProdConfig();
    if (fs.existsSync(paths_1.paths.webpackOverride)) {
        return webpack_merge_1.default(baseConfig, require(paths_1.paths.webpackOverride));
    }
    else {
        return baseConfig;
    }
}
exports.getWebpackConfig = getWebpackConfig;
//# sourceMappingURL=checkCustomWebpackConfig.js.map