"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const chalk_1 = __importDefault(require("chalk"));
const glob_1 = __importDefault(require("glob"));
const paths_1 = require("../../lib/paths");
const appPackageJson = require(paths_1.paths.appPackageJson);
/**
 * Checks if there is a Prettier configuration file as described in
 * https://prettier.io/docs/en/configuration.html
 *
 * If it's not defined, print a warning so that the user doesn't get confused
 * from linting errors/warnings
 */
function checkPrettierrcFile() {
    const matches = glob_1.default.sync('{.prettierrc?(.json|.yaml|.yml|.toml|.js),prettier.config.js}');
    if (!matches.length && !appPackageJson.hasOwnProperty('prettier')) {
        console.log(chalk_1.default.yellow(`• No Prettier configuration found, consider adding one to avoid linting confusion`));
    }
}
exports.checkPrettierrcFile = checkPrettierrcFile;
//# sourceMappingURL=checkPrettierrcFile.js.map